com.lowagie.text.pdf

## Class StandardDecryption

- java.lang.Object
- - com.lowagie.text.pdf.StandardDecryption

    public class StandardDecryption
    extends java.lang.Object

### Field Summary

Fields
`private boolean` `aes`
`private static int` `AES_128`
`protected ARCFOUREncryption` `arcfour`
`protected AESCipher` `cipher`
`private boolean` `initiated`
`private byte[]` `iv`
`private int` `ivptr`
`private byte[]` `key`

### Constructor Summary

Constructors
Constructor and Description
`StandardDecryption(byte[] key, int off, int len, int revision)` Creates a new instance of StandardDecryption

### Method Summary

Methods
`byte[]` `finish()`
`byte[]` `update(byte[] b, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### arcfour

    protected ARCFOUREncryption arcfour

#### cipher

    protected AESCipher cipher

#### key

    private byte[] key

#### AES_128

    private static final int AES_128

See Also:
  Constant Field Values

#### aes

    private boolean aes

#### initiated

    private boolean initiated

#### iv

    private byte[] iv

#### ivptr

    private int ivptr

### Constructor Detail

#### StandardDecryption

    public StandardDecryption(byte[] key,
                      int off,
                      int len,
                      int revision)

Creates a new instance of StandardDecryption

### Method Detail

#### update

    public byte[] update(byte[] b,
                int off,
                int len)

#### finish

    public byte[] finish()